#include <stdio.h>
#include <stdlib.h>
/*atoi*/
int main(){
    char a[4], b[4];
    char temp;
    int x,y;

    scanf("%s %s",a,b);

    temp = a[0];
    a[0] = a[2];
    a[2] = temp;

    temp = b[0];
    b[0] = b[2];
    b[2] = temp;

    x = atoi(a);
    y = atoi(b);

    printf("%d",x>y ?  x : y);

    return 0;
}